<?php
class Onpay_Onpay_Block_Redirect extends Mage_Core_Block_Template
{
    protected function _construct()
    {
        $this->setTemplate('onpay/redirect.phtml');
        parent::_construct();
    }
  
    public function getForm()
    {
        $paymentMethod = Mage::getModel('onpay/paymentMethod');
        
        $form = new Varien_Data_Form();
        $form->setAction($paymentMethod->getOnpayPlaceUrl())
             ->setId('onpay_redirect')
             ->setName('onpay_redirect')
             ->setData('accept-charset', 'utf-8')
             ->setUseContainer(true)
             ->setMethod('POST');
        foreach ($paymentMethod->getRedirectFormFields() as $field=>$value) {
            $form->addField($field,'hidden',array('name'=>$field,'value'=>$value));
        }
        return $form;
    }
}